

# DescribeDomain
<a name="API_DescribeDomain"></a>

 Returns a [DomainDescription](https://docs.aws.amazon.com/codeartifact/latest/APIReference/API_DomainDescription.html) object that contains information about the requested domain. 

## Request Syntax
<a name="API_DescribeDomain_RequestSyntax"></a>

```
GET /v1/domain?domain=domain&domain-owner=domainOwner HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeDomain_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domain](#API_DescribeDomain_RequestSyntax) **   <a name="codeartifact-DescribeDomain-request-uri-domain"></a>
 A string that specifies the name of the requested domain.   
Length Constraints: Minimum length of 2. Maximum length of 50.  
Pattern: `[a-z][a-z0-9\-]{0,48}[a-z0-9]`   
Required: Yes

 ** [domainOwner](#API_DescribeDomain_RequestSyntax) **   <a name="codeartifact-DescribeDomain-request-uri-domainOwner"></a>
 The 12-digit account number of the AWS account that owns the domain. It does not include dashes or spaces.   
Length Constraints: Fixed length of 12.  
Pattern: `[0-9]{12}` 

## Request Body
<a name="API_DescribeDomain_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeDomain_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "domain": { 
      "arn": "string",
      "assetSizeBytes": number,
      "createdTime": number,
      "encryptionKey": "string",
      "name": "string",
      "owner": "string",
      "repositoryCount": number,
      "s3BucketArn": "string",
      "status": "string"
   }
}
```

## Response Elements
<a name="API_DescribeDomain_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [domain](#API_DescribeDomain_ResponseSyntax) **   <a name="codeartifact-DescribeDomain-response-domain"></a>
 Information about a domain. A domain is a container for repositories. When you create a domain, it is empty until you add one or more repositories.   
Type: [DomainDescription](API_DomainDescription.md) object

## Errors
<a name="API_DescribeDomain_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The operation did not succeed because of an unauthorized access attempt.   
HTTP Status Code: 403

 ** InternalServerException **   
 The operation did not succeed because of an error that occurred inside AWS CodeArtifact.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The operation did not succeed because the resource requested is not found in the service.     
 ** resourceId **   
 The ID of the resource.   
 ** resourceType **   
 The type of AWS resource. 
HTTP Status Code: 404

 ** ThrottlingException **   
 The operation did not succeed because too many requests are sent to the service.     
 ** retryAfterSeconds **   
 The time period, in seconds, to wait before retrying the request. 
HTTP Status Code: 429

 ** ValidationException **   
 The operation did not succeed because a parameter in the request was sent with an invalid value.     
 ** reason **   
 
HTTP Status Code: 400

## See Also
<a name="API_DescribeDomain_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/codeartifact-2018-09-22/DescribeDomain) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/codeartifact-2018-09-22/DescribeDomain) 